Page MenuHomePhabricator

Enable constraint statements on Wikidata
Closed, ResolvedPublic

Description

We want to do this next Wednesday, 2017-07-12.
Rescheduled to Thursday, 2017-07-20, since there was no deployment on the week of July 10th (build problems).

Steps:

  • Remove existing constraints:
php maintenance/runScript.php extensions/WikibaseQualityConstraints/maintenance/UpdateConstraintsTable.php --csv-file /dev/null
  • Import existing constraints from statements (depends on T169218):
php maintenance/runScript.php extensions/WikibaseQualityConstraints/maintenance/ImportConstraintStatements.php

(Note: without --quiet, this produces one line of output per property, so about 4000 lines on Wikidata. Might want to redirect it to a file.)

In principle, these can happen in any order (UpdateConstraintsTable.php does not drop rows that ImportConstraintStatements.php creates). (Edit: The config change should not happen too long after the ImportConstraintStatements script is run, otherwise property updates that happen in between might be missed.)

Details

Related Gerrit Patches:
operations/mediawiki-config : masterEnable WikibaseQualityConstraints statements

Related Objects

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 4 2017, 2:56 PM

Change 363200 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[operations/mediawiki-config@master] Enable WikibaseQualityConstraints statements

https://gerrit.wikimedia.org/r/363200

Change 363200 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable WikibaseQualityConstraints statements

https://gerrit.wikimedia.org/r/363200

Mentioned in SAL (#wikimedia-operations) [2017-07-20T23:15:42Z] <reedy@tin> Synchronized wmf-config/Wikibase-production.php: T169647 T168938 (duration: 00m 42s)

hoo closed this task as Resolved.Jul 21 2017, 9:58 AM
hoo claimed this task.

Reopening since the scripts haven’t been run yet (according to comment). Remains assigned to @hoo.

hoo closed this task as Resolved.Jul 21 2017, 10:45 AM

The table has been populated now.

Aaand now the API and Special:ConstraintReport give me HTTP 500 on Q42… :(

@hoo any idea how to debug this? The response is completely empty, no error message that I can see. (Link: https://www.wikidata.org/wiki/Special:ConstraintReport/Q42)

hoo added a comment.Jul 21 2017, 11:07 AM

Aaand now the API and Special:ConstraintReport give me HTTP 500 on Q42… :(
@hoo any idea how to debug this? The response is completely empty, no error message that I can see. (Link: https://www.wikidata.org/wiki/Special:ConstraintReport/Q42)

Yes, I opened T171295: Fatal error: Argument 4 passed to WikibaseQuality\ConstraintReport\Constraint::__construct() must be array for this.